Bug 857484 - Review Request: python-simplevisor - Python simple daemons supervisor
Summary: Review Request: python-simplevisor - Python simple daemons supervisor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas 'Sheldon' Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-14 14:56 UTC by Massimo Paladin
Modified: 2013-05-13 15:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-13 15:07:21 UTC
Type: ---
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Massimo Paladin 2012-09-14 14:56:11 UTC
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/python-simplevisor/python-simplevisor.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/python-simplevisor/python-simplevisor-0.5-1.fc17.src.rpm
Description: Simplevisor is a simple daemons supervisor, it is inspired by
Erlang OTP and it can supervise hierarchies of services.
Fedora Account System Username: mpaladin

Comment 1 Michael S. 2012-09-16 13:19:40 UTC
Doesn't build on f17 :
Exécution_de(%prep): /bin/sh -e /var/tmp/rpm-tmp.ggEVS0
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf simplevisor-0.5
+ /usr/bin/gzip -dc /builddir/build/SOURCES/simplevisor-0.5.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd simplevisor-0.5
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ rm -rf '%{py3dir}'
+ cp -a . '%{py3dir}'
cp: cannot copy a directory, `.', into itself, `%{py3dir}'
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.ggEVS0 (%prep)

However, it build in koji for rawhide, so that's good ( just warning for potential backport )

Comment 2 Massimo Paladin 2012-09-20 07:52:16 UTC
koji scratch build for f17 works fine:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4507205

How do you get the problem?

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4507203
f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4507216

Comment 3 Michael S. 2012-09-20 23:04:28 UTC
I build it in mock, using fedora-review.

That's wierd, it act as if %py3dir was not expanded.

Comment 4 Tomas 'Sheldon' Radej 2012-10-30 10:16:20 UTC
I take the liberty to formally review the package.

Comment 5 Tomas 'Sheldon' Radej 2012-11-05 14:23:16 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

[!]: Package uses nothing in %doc for runtime.
>>>> %doc contains tests and example files, including executable .py scripts.
>>>> Unless you have a very good reason why it should be like this (which I
>>>> would ask you to kindly provide in a comment),  move them please into
>>>> sitelib in the main package.

Notes:
======

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[!]: Buildroot is not present
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
>>>> If you really want this package in older Fedora/RHEL versions, disregard
>>>> these notes. Otherwise please consider removing the corrensponding clauses.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[!]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     python3-simplevisor
[!]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/tradej/reviews/857484-python-
     simplevisor/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (simplevisor-0.5.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-simplevisor-0.5-1.fc19.src.rpm
          python-simplevisor-0.5-1.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-simplevisor
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-simplevisor-0.5-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/perl  
    /usr/bin/python  
    perl(Getopt::Long)  
    perl(List::Util)  
    perl(No::Worries)  
    perl(No::Worries::Die)  
    perl(No::Worries::Log)  
    perl(No::Worries::PidFile)  
    perl(No::Worries::Proc)  
    perl(No::Worries::Syslog)  
    perl(No::Worries::Warn)  
    perl(Pod::Usage)  
    perl(Time::HiRes)  
    perl(sigtrap)  
    perl(strict)  
    perl(warnings)  
    perl-Config-General  
    perl-No-Worries  
    python(abi) = 2.7
    python-simplejson  



Provides
--------
python-simplevisor-0.5-1.fc19.noarch.rpm:
    
    python-simplevisor = 0.5-1.fc19



MD5-sum check
-------------
http://pypi.python.org/packages/source/s/simplevisor/simplevisor-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : d91fd278d90cb76eab39f0a51f170bdf88d09b603ca66218a17cd089f335162d
  CHECKSUM(SHA256) upstream package : d91fd278d90cb76eab39f0a51f170bdf88d09b603ca66218a17cd089f335162d


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 857484 -m fedora-rawhide-x86_64

*** NOT APPROVED ***

Issues summarized at the top of the post.

Comment 6 Massimo Paladin 2012-11-16 10:52:04 UTC
Hello Tomas,

thank you very much for the review, sorry but I have been away for a couple of weeks.

Regarding consistent macro usage I will change it.

Regarding the second issue:
[!]: Package uses nothing in %doc for runtime.
>>>> %doc contains tests and example files, including executable .py scripts.
>>>> Unless you have a very good reason why it should be like this (which I
>>>> would ask you to kindly provide in a comment),  move them please into
>>>> sitelib in the main package.

The package actually does not use anything in %doc for runtime, I saw test folders with .py scripts being included in %doc many times in other packages. Is this really an issue?

Comment 7 Tomas 'Sheldon' Radej 2012-11-29 14:47:32 UTC
After discussion, I do not further object to these files being put in %doc.

However, please ask upstream if they wish that the test files be installed in a distro package. If so, leave them unaffected. If not, you may remove them entirely.

I will trust you that you change the macros before importing the package.

*** APPROVED ***

Comment 8 Massimo Paladin 2012-11-30 09:49:48 UTC
Hi Tomas,

thank you for the review, here is the new version with consistent macro and test removed from the package:
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/python-simplevisor/python-simplevisor.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/python-simplevisor/python-simplevisor-0.5-2.fc17.src.rpm

Comment 9 Massimo Paladin 2012-11-30 09:52:36 UTC
New Package SCM Request
=======================
Package Name: python-simplevisor
Short Description: Python simple daemons supervisor
Owners: mpaladin
Branches: f16 f17 f18 el5 el6
InitialCC:

Comment 10 Gwyn Ciesla 2012-11-30 13:50:50 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2013-01-18 07:58:35 UTC
python-simplevisor-0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-simplevisor-0.6-1.el5

Comment 12 Fedora Update System 2013-01-18 07:58:53 UTC
python-simplevisor-0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-simplevisor-0.6-1.fc17

Comment 13 Fedora Update System 2013-01-18 07:59:06 UTC
python-simplevisor-0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-simplevisor-0.6-1.el6

Comment 14 Fedora Update System 2013-01-18 07:59:16 UTC
python-simplevisor-0.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-simplevisor-0.6-1.fc18

Comment 15 Fedora Update System 2013-01-18 07:59:26 UTC
python-simplevisor-0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-simplevisor-0.6-1.fc16

Comment 16 Fedora Update System 2013-01-20 03:19:38 UTC
python-simplevisor-0.6-1.fc18 has been pushed to the Fedora 18 testing repository.


Note You need to log in before you can comment on or make changes to this bug.